Timekit developers

GET Retrieve a booking

Use this endpoint to get a specific booking

For dynamic includes, see /bookings. Without include, the response only has the basic booking fields (plus what, where, description, start, end, rsvp and allDay once the booking has a calendar event). The example below uses include=attributes,calendar,customers,available_actions.

Endpoint

GET https://api.timekit.io/v2/bookings/:id

Parameters

Name In Type Required Default Description
id path string yes The id of the booking
include query string Dynamic includes

Request examples

curl
curl --request GET \
  --url 'https://api.timekit.io/v2/bookings/58190fc6-1ec0-4ebb-b627-7ce6aa9fc703?include=attributes,calendar,customers,available_actions' \
  --header 'Content-Type: application/json' \
  --user :live_api_key_7nzvc7wsBQQISLeFSVhROys9V1bUJ1z7

Response examples

200

json
{
  "data": {
    "id": "58190fc6-1ec0-4ebb-b627-7ce6aa9fc703",
    "state": "completed",
    "graph": "confirm_decline",
    "completed": true,
    "created_at": "2016-02-11T12:39:45+0100",
    "updated_at": "2016-02-11T13:12:01+0100",
    "rsvp": "accepted",
    "what": "Catch the lightning",
    "where": "Courthouse, Hill Valley, CA 95420, USA",
    "description": "The lightning strikes at 10:04 PM exactly! I need you to be there Doc!",
    "allDay": false,
    "end": "1955-11-12T22:15:00-0700",
    "start": "1955-11-12T21:30:00-0700",
    "available_actions": [],
    "attributes": {
      "event_info": {
        "start": "1955-11-12T21:30:00-07:00",
        "end": "1955-11-12T22:15:00-07:00",
        "what": "Catch the lightning",
        "where": "Courthouse, Hill Valley, CA 95420, USA",
        "description": "The lightning strikes at 10:04 PM exactly! I need you to be there Doc!"
      }
    },
    "calendar": {
      "id": "bfa0b9fa-36aa-4ae6-8096-f3b20fbed1d2",
      "name": "Important encounters with Marty",
      "display_name": "Important encounters with Marty",
      "description": "Througout time, Marty and I really need to meet in order for the world not to collapse into Biffy cazyness.",
      "foregroundcolor": "#000000",
      "backgroundcolor": "#FFFFFF",
      "created_at": "2016-02-15T13:21:42+0100",
      "updated_at": "2016-02-15T13:21:42+0100"
    },
    "customers": [
      {
        "id": "a728e860-99c7-4009-8843-7d9ac5d7f53f",
        "name": "Marty McFly",
        "email": "marty.mcfly@timekit.io",
        "phone": "(916) 555-4385",
        "voip": "McFly",
        "timezone": "America/Los_Angeles"
      }
    ]
  }
}

404

json
{
  "error": {
    "message": "Entity does not exist",
    "status_code": 404,
    "model": "Booking"
  }
}
Last edited 6 October 2026.